// Icy Cavern Shader

//teleporter ideas

textures/icycavern_design/chain1
{
	qer_editorimage textures/icycavern_design/chain1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/icycavern_design/chain1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/icycavern_design/decowall
{
    qer_editorimage textures/icycavern_design/decowall.tga
    surfaceparm nodamage
	surfaceparm nonSolid
    
    {
    map textures/icycavern_design/decowall.tga
    rgbGen identity
    } 
    {
    map textures/icycavern_design/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/icycavern_design/glow_g
{
    qer_editorimage textures/icycavern_design/glow_g.tga
	q3map_surfacelight 3500
    surfaceparm nodamage
	surfaceparm nonSolid
    
    {
    map textures/icycavern_design/glow_g.tga
    rgbGen identity
    } 
    {
    map textures/icycavern_design/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/icycavern_design/glow_b
{
    qer_editorimage textures/icycavern_design/glow_b.tga
	q3map_surfacelight 3550
    surfaceparm nodamage
	surfaceparm nonSolid
    {
    map textures/icycavern_design/glow_b.tga
    rgbGen identity
    } 
    {
    map textures/icycavern_design/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/icycavern_design/glow_r
{
    qer_editorimage textures/icycavern_design/glow_r.tga
	q3map_surfacelight 3500
    surfaceparm nodamage
	surfaceparm nonSolid
    surfaceparm nolightmap
    {
    map textures/icycavern_design/glow_r.tga
    rgbGen identity
    } 
    {
    map textures/icycavern_design/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/icycavern_design/glow_p
{
    qer_editorimage textures/icycavern_design/glow_p.tga
	q3map_surfacelight 2000
    surfaceparm nodamage
	surfaceparm nonSolid
    surfaceparm nolightmap
    {
    map textures/icycavern_design/glow_p.tga
    rgbGen identity
    } 
    {
    map textures/icycavern_design/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/icycavern_design/telep1
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_design/telep1.tga
      blendfunc add
   }
}

textures/icycavern_design/glow_bunderwater
{
    surfaceparm nodamage
    surfaceparm nolightmap
    q3map_surfacelight 1000
    q3map_lightSubdivide 16

    {
        map textures/icycavern_design/glow_bunderwater.tga
    }
    {
        map textures/icycavern_design/tinfx3.tga
        tcmod scale .5 .5
        tcgen environment
        blendFunc add
        rgbGen vertex
    }
}

textures/icycavern_design/glow_gunderwater
{
    surfaceparm nodamage
    surfaceparm nolightmap
    q3map_surfacelight 1000
    q3map_lightSubdivide 16

    {
        map textures/icycavern_design/glow_gunderwater.tga
    }
    {
        map textures/icycavern_design/tinfx3.tga
        tcmod scale .5 .5
        tcgen environment
        blendFunc add
        rgbGen vertex
    }
}
//fireflys

textures/icycavern_design/firefly_b
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   surfaceparm nonsolid
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 5
      map textures/icycavern_design/firefly_b.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_b2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_design/firefly_b2.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_b3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -10
      map textures/icycavern_design/firefly_b3.tga
      blendfunc add
   }
}

textures/icycavern_design/firefly_g
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   surfaceparm nonsolid
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 5
      map textures/icycavern_design/firefly_g.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_g2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_design/firefly_g2.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_g3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -10
      map textures/icycavern_design/firefly_g3.tga
      blendfunc add
   }
}

textures/icycavern_design/firefly_r
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nonsolid
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 5
      map textures/icycavern_design/firefly_r.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_r2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_design/firefly_r2.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_r3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -10
      map textures/icycavern_design/firefly_r3.tga
      blendfunc add
   }
}

textures/icycavern_design/firefly_p
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nonsolid
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 5
      map textures/icycavern_design/firefly_p.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_p2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_design/firefly_p2.tga
      blendfunc add
   }
}


textures/icycavern_design/firefly_p3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nonsolid
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -10
      map textures/icycavern_design/firefly_p3.tga
      blendfunc add
   }
}

textures/icycavern_design/midjumptp_b
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/midjumptp_b.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/midjumptp_g
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/midjumptp_g.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/midjumptp_r
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/midjumptp_r.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/midjumptp_p
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/midjumptp_p.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/tp1
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/tp1.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/bottomtp
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/bottomtp.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/bottomtp1
{
    deformVertexes autoSprite
    deformVertexes wave 100 sin 0 8 0 0.2
	q3map_surfacelight 250
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
		clampmap textures/icycavern_design/bottomtp1.tga
		tcmod rotate 20
		blendFunc GL_ONE GL_ONE
          }
}

textures/icycavern_design/water_fall
{
	qer_editorimage textures/icycavern_design/water_fall.jpg
	surfaceparm nolightmap
	surfaceparm water
    q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes bulge 4 2 6
	{
		map textures/icycavern_design/water_fall.jpg
		tcMod scroll 1 0
	}
}
