// Icy Cavern Shader

//general textures

textures/icycavern_general/bluetile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/bluetile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
	
}

textures/icycavern_general/greentile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/greentile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/redtile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/redtile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/purpletile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/purpletile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/glass_grey
{
	qer_editorimage "textures/icycavern_general/glass_grey.tga"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/icycavern_general/tint_grey.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/icycavern_general/roof2_non:q3map
{
	qer_editorImage "textures/icycavern_general/roof2_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/floor1_non:q3map
{
	qer_editorImage "textures/icycavern_general/floor1_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/grass_stone:q3map
{
	qer_editorImage "textures/icycavern_general/grass_stone.jpg"
	surfaceParm noDamage
}

textures/icycavern_general/stone_design_sp:q3map
{
	qer_editorImage "textures/icycavern_general/stone_design_sp.jpg"
	surfaceParm noDamage
}

textures/icycavern_general/wall1_non:q3map
{
	qer_editorImage "textures/icycavern_general/wall1_non.tga"
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/wood1_non:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/icycavern_general/designwall2_sl:q3map
{
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/deisgnwallG_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallG_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallG_text.tga
	q3map_surfaceLight 500
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallG_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallG_shader.tga
        blendFunc add
        rgbGen wave noise 0.75 0.75 0 0.75
    }
}

textures/icycavern_general/deisgnwallB_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallB_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallB_text.tga
	q3map_surfaceLight 500
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallB_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallB_shader.tga
        blendFunc add
        rgbGen wave noise 0.5 0.5 0 0.5
    }
}

textures/icycavern_general/deisgnwallR_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallR_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallR_text.tga
	q3map_surfaceLight 500
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallR_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallR_shader.tga
        blendFunc add
        rgbGen wave noise 0.5 0.5 0 0.5
    }
}

textures/icycavern_general/deisgnwallP_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallP_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallP_text.tga
	q3map_surfaceLight 500
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallP_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallP_shader.tga
        blendFunc add
        rgbGen wave noise 0.75 0.75 0 0.75
    }
}

textures/icycavern_general/slidefloor:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm metalsteps
}

textures/icycavern_general/bottom_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/bottom_non.tga"
	surfaceParm noDamage
}

//respawner/telep2porter/txt/

textures/icycavern_general/leettxt
{
    qer_editorimage textures/icycavern_general/leettxt
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/icycavern_general/leettxt
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/icycavern_general/water_blue1
    {
q3map_lightimage textures/icycavern_general/water_blue_lightm.jpg
        qer_editorimage textures/icycavern_general/water_blue1.jpg
        qer_trans .5
        q3map_globaltexture
                q3map_surfacelight 1000
                q3map_lightSubdivide 16
                q3map_backsplash 16 16
                q3map_bounceScale 0
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        cull disable
        deformVertexes wave 64 sin .25 .25 0 .5
        { 
            map textures/icycavern_general/water_detail2brighter.jpg
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod scroll .025 .01
        }
        { 
            map textures/icycavern_general/water_detail1.jpg
            blendFunc GL_dst_color GL_one
            tcmod scale -.5 -.5
            tcmod scroll .025 .025
        }
        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity
        }
}

textures/icycavern_general/water_green1
    {
q3map_lightimage textures/icycavern_general/water_green_lightm.jpg
        qer_editorimage textures/icycavern_general/water_green1.jpg
        qer_trans .5
        q3map_globaltexture
                q3map_surfacelight 1000
                q3map_lightSubdivide 16
                q3map_backsplash 16 16
                q3map_bounceScale 0
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        cull disable
        deformVertexes wave 64 sin .25 .25 0 .5
        { 
            map textures/icycavern_general/water_gdetail2brighter.jpg
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod scroll .025 .01
        }
        { 
            map textures/icycavern_general/water_gdetail1.jpg
            blendFunc GL_dst_color GL_one
            tcmod scale -.5 -.5
            tcmod scroll .025 .025
        }
        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity
        }
}

textures/icycavern_general/lava_intense
{
	qer_editorimage textures/icycavern_general/lava_intense.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm water
	q3map_surfacelight 300
	cull disable	
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 

    {
        map textures/icycavern_general/lava_shine.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
		map textures/icycavern_general/lava_intense.tga
        tcmod scale 0.5 0.5
        tcmod scroll 0 0
        tcMod turb 0.1 .1 0.01 .01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
	}
}



