textures/icycavern_common/caulk
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
}

textures/icycavern_common/caulk_hollow
{
    qer_editorImage "textures/icycavern_common/caulk.jpg"
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nodamage
}

textures/icycavern_common/caulk_fog
{
    qer_editorImage "textures/icycavern_common/caulk.jpg"
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nodamage
}

textures/icycavern_common/caulk_nonsolid
{
    qer_editorImage "textures/icycavern_common/caulk.jpg"
    qer_trans 0.2
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm detail
    surfaceparm nodamage
}

textures/icycavern_common/caulk_cushion
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
}

textures/icycavern_common/caulk_slick
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm slick
}

textures/icycavern_common/caulk_water
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
    surfaceparm nodamage
}

textures/icycavern_common/caulk_lava
{
	surfaceparm lava
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
    surfaceparm nodamage
}

textures/icycavern_common/trigger
{
    qer_trans 0.5
    qer_nocarve
    surfaceparm nodraw
    surfaceparm detail
}

textures/icycavern_common/trigger_clip_weapon
{
	qer_trans 0.40
    qer_nocarve
    surfaceparm nodraw
    surfaceparm detail
	surfaceparm nomarks
	surfaceparm noimpact
}

textures/icycavern_common/clip
{
    qer_trans 0.7
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm detail
}

textures/icycavern_common/clip_slick
{
    qer_trans 0.7
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
}

textures/icycavern_common/clip_ladder
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
    surfaceparm nodamage
}

textures/icycavern_common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/icycavern_common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/icycavern_common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/icycavern_common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/icycavern_common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
    surfaceparm nodamage
}

textures/icycavern_common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/icycavern_common/mirror
{
    qer_editorImage "textures/icycavern_common/mirror.jpg"
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    {
        map "textures/icycavern_common/mirror/mirror.tga"
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map "textures/icycavern_common/mirror/tint.jpg"
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/icycavern_common/hint // should NOT use surfaceparm hint.. strange but true
{ qer_nocarve
 qer_trans 0.30
 surfaceparm nodraw
 surfaceparm nonsolid
 surfaceparm structural
 surfaceparm trans
 surfaceparm noimpact
 surfaceparm hint // ydnar: yes it should.
}

